×

Discussion Board

Results 1 to 7 of 7
  1. #1
    Regular Contributor
    Join Date
    Dec 2008
    Posts
    101

    qt for symbian^3 error -10256

    hi all

    i have a symbian^3 device e7 , i download "Qt 4.7 for Symbian^3 – developer version "

    installer all sis applient ,

    then i installer qt 4.6.3 qt_demos.sis ,

    but installer failure , device error -10256.

    please help????

  2. #2
    Super Contributor
    Join Date
    Oct 2008
    Location
    INDIA
    Posts
    2,326

    Re: qt for symbian^3 error -10256

    Hi, mj

    Qt library is pre-installed in the Phone. See here : http://www.forum.nokia.com/Devices/D...cations/E7-00/

    But the error is shown has the meaning that :

    An upgrade failed because the package being installed is not a valid upgrade of the package already on the device. (For the Qt).

    Best regards,

  3. #3
    Super Contributor
    Join Date
    Apr 2003
    Location
    USA, CA
    Posts
    7,191

    Re: qt for symbian^3 error -10256

    Well, as you are using a prototype phone and prototype firmware on it (at least to my understanding E7 is not yet available in the stores), you should ask these questions directly from your Nokia contacts instead on these public forums.

    Hartti

  4. #4
    Registered User
    Join Date
    Oct 2010
    Posts
    33

    Re: qt for symbian^3 error -10256

    Quote Originally Posted by mj_124949727@126.com View Post
    hi all

    i have a symbian^3 device e7 , i download "Qt 4.7 for Symbian^3 – developer version "

    installer all sis applient ,

    then i installer qt 4.6.3 qt_demos.sis ,

    but installer failure , device error -10256.

    please help????
    Got the same issue with the N8. I gave up before trying to figure out why.

  5. #5
    Registered User
    Join Date
    Mar 2003
    Location
    Oulu
    Posts
    132

    Re: qt for symbian^3 error -10256

    I installed these packages and qt 4.7 applications seem to work ok.

    http://wiki.forum.nokia.com/index.ph...allation_guide

  6. #6
    Nokia Developer Expert
    Join Date
    Mar 2006
    Posts
    6

    Re: qt for symbian^3 error -10256

    @Roose, same for me, seemed that package qt_4_7_0_opengl.sis did the trick at least in my animatedtiles example case on N8

  7. #7
    Super Contributor
    Join Date
    Nov 2009
    Location
    Minnesota, USA
    Posts
    3,209

    Re: qt for symbian^3 error -10256

    KErrInvalidUpgrade -10256 "An upgrade failed because the package being installed is not a valid upgrade of the package already on the device."

Similar Threads

  1. [Qt symbian]carbide error
    By chedy15 in forum [Archived] Qt SDKs and Tools
    Replies: 6
    Last Post: 2010-07-06, 18:19
  2. gzread -2 error with Qt for symbian
    By NishaElsa in forum Qt
    Replies: 3
    Last Post: 2010-05-13, 09:54
  3. Error While building in Qt for Symbian... Plz Help
    By ekartik82 in forum [Archived] Qt SDKs and Tools
    Replies: 6
    Last Post: 2009-12-15, 04:48

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •  
×